Bug 487015 - Directory ownership problem: /etc/bash_completion.d
Summary: Directory ownership problem: /etc/bash_completion.d
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: mercurial
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Neal Becker
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-02-23 17:17 UTC by Michel Alexandre Salim
Modified: 2009-03-20 18:36 UTC (History)
3 users (show)

Fixed In Version: 1.2-2.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-23 23:49:37 UTC
Type: ---


Attachments (Terms of Use)

Description Michel Alexandre Salim 2009-02-23 17:17:34 UTC
Description of problem:
mercurial installs a script in /etc/bash_completion.d, but does not own the directory or Requires: bash-completion.

Since the script can be considered a 'plug-in', and thus we should not force bash-completion on people who do not need it, the solution ought to be to simply own the directory in question. This is what bzr, git and rpmlint do.

Version-Release number of selected component (if applicable):
mercurial-1.1.2-2.fc10

How reproducible:
Always

Steps to Reproduce:
1. Install mercurial
2. rpm -ql mercurial | grep bash
  
Actual results:
mercurial does not own /etc/bash_completion.d but installs a file in it

Expected results:
mercurial owns the directory as well

Additional info:

Comment 1 Neal Becker 2009-02-23 23:49:37 UTC
Fixed in 1.1.2-6

Comment 2 Fedora Update System 2009-02-23 23:56:18 UTC
mercurial-1.1.2-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mercurial-1.1.2-6.fc10

Comment 3 Fedora Update System 2009-02-23 23:57:14 UTC
mercurial-1.1.2-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mercurial-1.1.2-6.fc9

Comment 4 Fedora Update System 2009-03-11 19:32:41 UTC
mercurial-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mercurial-1.2-2.fc10

Comment 5 Fedora Update System 2009-03-11 19:33:26 UTC
mercurial-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/mercurial-1.2-2.fc9

Comment 6 Fedora Update System 2009-03-20 18:32:06 UTC
mercurial-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-03-20 18:36:30 UTC
mercurial-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.